##
##  rhino.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_opkg  1.7r3
%define       V_dist  1_7R3

#   package information
Name:         rhino
Summary:      JavaScript Engine for Java Virtual Machine
URL:          http://www.mozilla.org/rhino/
Vendor:       Mozilla Foundation
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Language
License:      MPL
Version:      %{V_opkg}
Release:      20110730

#   list of sources
Source0:      ftp://ftp.mozilla.org/pub/mozilla.org/js/rhino%{V_dist}.zip
Source1:      rhino.sh
Source2:      rhinoc.sh

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, infozip
PreReq:       OpenPKG, openpkg >= 20160101, java, JAVA-JDK

%description
    Rhino is an open-source implementation of JavaScript 1.7 written
    entirely in Java. It is typically embedded into Java applications to
    provide scripting to end users through the Scripting Engine API of
    the JVM.

%track
    prog rhino = {
        version   = %{V_dist}
        url       = ftp://ftp.mozilla.org/pub/mozilla.org/js/
        regex     = rhino(\d+_\d+R\d+)\.zip
    }

%prep
    %setup -q -T -c
    unzip -q -x %{SOURCE0}

%build

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/rhino
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE rhino.sh} $RPM_BUILD_ROOT%{l_prefix}/bin/rhino
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE rhinoc.sh} $RPM_BUILD_ROOT%{l_prefix}/bin/rhinoc
    %{l_shtool} install -c -m 644 \
        rhino*/js.jar $RPM_BUILD_ROOT%{l_prefix}/lib/rhino/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

